<?php

namespace App\Modules;

class BaseModule
{
    public function __construct(
        public string $path,
        public string $name,
        public ModuleContract $app,
        public bool $enabled = false,
    ) {
        $this->enabled = $this->app->isEnabled();
    }
}
